package com.jay.monitor.data.server.daos;

import com.jay.monitor.data.server.models.entity.BackstageRoute;
import com.jay.monitor.data.server.models.entity.BackstageRouteExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface BackstageRouteMapper {

    int countByExample(BackstageRouteExample example);

    int deleteByExample(BackstageRouteExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BackstageRoute record);

    int insertSelective(BackstageRoute record);

    List<BackstageRoute> selectByExample(BackstageRouteExample example);

    BackstageRoute selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BackstageRoute record, @Param("example") BackstageRouteExample example);

    int updateByExample(@Param("record") BackstageRoute record, @Param("example") BackstageRouteExample example);

    int updateByPrimaryKeySelective(BackstageRoute record);

    int updateByPrimaryKey(BackstageRoute record);
}